---
title: PannerNode.PannerNode()
slug: Web/API/PannerNode/PannerNode
tags:
  - API
  - Audio
  - Constructor
  - PannerNode
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>PannerNode()</strong></code> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("PannerNode")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myPanner = new PannerNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
	<dt><em>context</em></dt>
	<dd>A {{domxref("BaseAudioContext")}} representing the audio context you want the node to be associated with.</dd>
	<dt><em>options</em> {{optional_inline}}</dt>
	<dd>A <code><a href="https://webaudio.github.io/web-audio-api/#idl-def-PannerOptions">PannerOptions</a></code> dictionary object defining the properties you want the <code>PannerNode</code> to have (It also inherits the options defined in the <a href="https://webaudio.github.io/web-audio-api/#idl-def-AudioNodeOptions">AudioNodeOptions</a> dictionary.):
	<ul>
		<li><code>panningModel</code>: The {{domxref("PannerNode.panningModel")}} you want the {{domxref("PannerNode")}} to have (the default is <code>equalpower</code>.)</li>
		<li><code>distanceModel</code>: The {{domxref("PannerNode.distanceModel")}} you want the {{domxref("PannerNode")}} to have (the default is <code>inverse</code>.)</li>
		<li><code>positionX</code>: The {{domxref("PannerNode.positionX")}} you want the {{domxref("PannerNode")}} to have (the default is <code>0</code>.)</li>
		<li><code>positionY</code>: The {{domxref("PannerNode.positionY")}} you want the {{domxref("PannerNode")}} to have (the default is <code>0</code>.)</li>
		<li><code>positionZ</code>: The {{domxref("PannerNode.positionZ")}} you want the {{domxref("PannerNode")}} to have (the default is <code>0</code>.)</li>
		<li><code>orientationX</code>: The {{domxref("PannerNode.orientationX")}} you want the {{domxref("PannerNode")}} to have (the default is <code>1</code>.)</li>
		<li><code>orientationY</code>: The {{domxref("PannerNode.orientationY")}} you want the {{domxref("PannerNode")}} to have (the default is <code>0</code>.)</li>
		<li><code>orientationZ</code>: The {{domxref("PannerNode.orientationZ")}} you want the {{domxref("PannerNode")}} to have (the default is <code>0</code>.)</li>
		<li><code>refDistance</code>: The {{domxref("PannerNode.refDistance")}} you want the {{domxref("PannerNode")}} to have. The default is <code>1</code>, and negative values are not allowed.</li>
		<li><code>maxDistance</code>: The {{domxref("PannerNode.maxDistance")}} you want the {{domxref("PannerNode")}} to have. The default is <code>10000</code>, and non-positive values are not allowed.</li>
		<li><code>rollOffFactor</code>: The {{domxref("PannerNode.rollOffFactor")}} you want the {{domxref("PannerNode")}} to have. The default is <code>1</code>, and negative values are not allowed.</li>
		<li><code>coneInnerAngle</code>: The {{domxref("PannerNode.coneInnerAngle")}} you want the {{domxref("PannerNode")}} to have (the default is <code>360</code>.)</li>
		<li><code>coneOuterAngle</code>: The {{domxref("PannerNode.coneOuterAngle")}} you want the {{domxref("PannerNode")}} to have (the default is <code>360</code>.)</li>
		<li><code>coneOuterGain</code>: The {{domxref("PannerNode.coneOuterGain")}} you want the {{domxref("PannerNode")}} to have. The default is <code>0</code>, and its value can be in the range 0–1.</li>
	</ul>
	</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("PannerNode")}} object instance.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
	<dt><code>RangeError</code></dt>
	<dd>The <code>refDistance</code>, <code>maxDistance</code>, or <code>rolloffFactor</code> properties have been given a value that is outside the accepted range.</dd>
	<dt><code>InvalidStateError</code></dt>
	<dd>The <code>coneOuterGain</code> property has been given a value outside the accepted range (0–1).</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var ctx = new AudioContext();

var options = {
  positionX : 1,
  maxDistance: 5000
}

var myPanner = new PannerNode(ctx, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API','#dom-pannernode-pannernode','PannerNode()')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PannerNode.PannerNode")}}</p>
